Package ghidra.program.database.register

# Class IndexToAddressRangeIteratorAdapter

java.lang.Object
ghidra.program.database.register.IndexToAddressRangeIteratorAdapter

All Implemented Interfaces:
  `AddressRangeIterator`, `Iterable<AddressRange>`, `Iterator<AddressRange>`

public class IndexToAddressRangeIteratorAdapter extends Object implements AddressRangeIterator

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IndexToAddressRangeIteratorAdapter(AddressMap addressMap, IndexRangeIterator it)`
  Constructs a new IndexToAddressRangeIteratorAdapter given an AddressMap and IndexRangeIterator

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `hasNext()`
  `Iterator<AddressRange>`
  `iterator()`
  `AddressRange`
  `next()`
  `void`
  `remove()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining`

- ## Constructor Details

  - ### IndexToAddressRangeIteratorAdapter

    public IndexToAddressRangeIteratorAdapter(AddressMap addressMap, IndexRangeIterator it)
    Constructs a new IndexToAddressRangeIteratorAdapter given an AddressMap and IndexRangeIterator
    Parameters:
      `addressMap` - the address map
      `it` - the IndexRangeIterator

- ## Method Details

  - ### iterator

    public Iterator<AddressRange> iterator()
    Specified by:
      `iterator` in interface `AddressRangeIterator`
    Specified by:
      `iterator` in interface `Iterable<AddressRange>`

  - ### remove

    public void remove()
    Specified by:
      `remove` in interface `Iterator<AddressRange>`

  - ### hasNext

    public boolean hasNext()
    Specified by:
      `hasNext` in interface `Iterator<AddressRange>`
    See Also:
      - `Iterator.hasNext()`

  - ### next

    public AddressRange next()
    Specified by:
      `next` in interface `Iterator<AddressRange>`
    See Also:
      - `Iterator.next()`